# Use these slightly expanded boundaries to make the bank
bank: &bankdefaults
  m1: [200.0, 552.0]
  m2: [10.0, 268.0]
  M: [40.0, 610.0]
  mc: [5.0, 331.0]
  q: [1.0, 20.0]
  chi: [-0.70, 0.99]
  ns-mass: [0, 3.0]
  ns-s1z: [-0.05, 0.05]
  freq: [10, 512]
  max-duration: 128
  psd-xml: O4_projected_psds.xml.gz
  instrument: L1
  mm: 0.01
  reuse-g-mm: 0.10
  max-num-templates: 1
  min-coord-vol: 0.0001
  min-depth: 7
  approximant: IMRPhenomD
  output-h5: 
  seedbank:
  trim: true
  verbose: true

seedbank:
  << : *bankdefaults
  max-num-templates: 10000
  output-h5: &seedbankname H1L1V1-O4_MANIFOLD_BANK_SEED-0-2000000000.h5
  min-depth: 11

group:
  bank: *seedbankname
  out-dir: seeds
  ifo: H1L1V1
  tag: O4_MANIFOLD_BANK_SEED
  start: 0
  dur: 2000000000

patches:
  out-dir: patches

add:
  output-h5: &unconstrainedname H1L1V1-O4_MANIFOLD_BANK_UNCONSTRAINED-0-2000000000.h5

# use these slightly smaller boundaries to test the bank
constrain:
  m1: [200.0, 543.0]
  m2: [10.0, 258.0]
  mc: [9.0, 322.0]
  q: [1.0, 20.0]
  M: [50.0, 600.0]
  chi: [-0.69, 0.98]
  ns-mass: [0, 3.0] 
  ns-s1z: [-0.04, 0.04]
  output-h5: &finalname H1L1V1-O4_MANIFOLD_BANK-0-2000000000.h5
  bank: *unconstrainedname
  assign-ids: true

test:
  bank: *finalname
  num-jobs: 500
  num-injections: 20
  out-dir: test

test-add:
  tests:
  output-h5: &testfinalname test.h5

test-plot:
  test: *testfinalname
  out-dir: plots

mass_model:
    model: salpeter
    m_min: 9.8
